### an area with a bitmap with a matrix as data structure
### uses aggregatees of subclass MatrixBitmapAreaSelector.pm

sub new {
    my $class = shift;

    $self = { areamatrixobj => undef, };

    bless $self, $class;

};

sub getAreaMatrix {
  my $self = shift;

  return $self->{areamatrixobj};
}

sub setAreaMatrix {
    my ($self, $m) = @_;

    $self->{areamatrixobj} = $m;
}

sub selectWithAgg {
  my ($self, $areaselectionagg, $bitmapmatrix) = @_;

  ### sets this matrix object
  $self->setAreaMatrix($areaselectionagg->selectArea($bitmapmatrix, $self));
}

1;
